import { SdkContext, SdkEmitterOptions } from "@azure-tools/typespec-client-generator-core";
import { JSONSchemaType } from "@typespec/compiler";
export interface PythonEmitterOptions extends SdkEmitterOptions {
    "package-version"?: string;
    "package-name"?: string;
    "generate-packaging-files"?: boolean;
    "packaging-files-dir"?: string;
    "packaging-files-config"?: object;
    "package-pprint-name"?: string;
    "head-as-boolean"?: boolean;
    "company-name"?: string;
    "use-pyodide"?: boolean;
}
export interface PythonSdkContext extends SdkContext<PythonEmitterOptions> {
    __endpointPathParameters: Record<string, any>[];
}
export declare const PythonEmitterOptionsSchema: JSONSchemaType<PythonEmitterOptions>;
export declare const $lib: import("@typespec/compiler").TypeSpecLibrary<{
    "unknown-error": {
        readonly default: import("@typespec/compiler").CallableMessage<["stack"]>;
    };
    "pyodide-flag-conflict": {
        readonly default: "Python is not installed. Please follow https://www.python.org/ to install Python or set 'use-pyodide' to true.";
    };
    "no-package-name": {
        readonly default: import("@typespec/compiler").CallableMessage<["packageName", "namespace"]>;
    };
    "no-valid-client": {
        readonly default: "Can't generate Python SDK since no client defined in typespec file.";
    };
    "invalid-paging-items": {
        readonly default: import("@typespec/compiler").CallableMessage<["operationId"]>;
    };
    "invalid-next-link": {
        readonly default: import("@typespec/compiler").CallableMessage<["operationId"]>;
    };
    "invalid-lro-result": {
        readonly default: import("@typespec/compiler").CallableMessage<["operationId"]>;
    };
    "invalid-continuation-token": {
        readonly default: import("@typespec/compiler").CallableMessage<["direction", "operationId"]>;
    };
}, PythonEmitterOptions, never>;
export declare const reportDiagnostic: <C extends "unknown-error" | "pyodide-flag-conflict" | "no-package-name" | "no-valid-client" | "invalid-paging-items" | "invalid-next-link" | "invalid-lro-result" | "invalid-continuation-token", M extends keyof {
    "unknown-error": {
        readonly default: import("@typespec/compiler").CallableMessage<["stack"]>;
    };
    "pyodide-flag-conflict": {
        readonly default: "Python is not installed. Please follow https://www.python.org/ to install Python or set 'use-pyodide' to true.";
    };
    "no-package-name": {
        readonly default: import("@typespec/compiler").CallableMessage<["packageName", "namespace"]>;
    };
    "no-valid-client": {
        readonly default: "Can't generate Python SDK since no client defined in typespec file.";
    };
    "invalid-paging-items": {
        readonly default: import("@typespec/compiler").CallableMessage<["operationId"]>;
    };
    "invalid-next-link": {
        readonly default: import("@typespec/compiler").CallableMessage<["operationId"]>;
    };
    "invalid-lro-result": {
        readonly default: import("@typespec/compiler").CallableMessage<["operationId"]>;
    };
    "invalid-continuation-token": {
        readonly default: import("@typespec/compiler").CallableMessage<["direction", "operationId"]>;
    };
}[C]>(program: import("@typespec/compiler").Program, diag: import("@typespec/compiler").DiagnosticReport<{
    "unknown-error": {
        readonly default: import("@typespec/compiler").CallableMessage<["stack"]>;
    };
    "pyodide-flag-conflict": {
        readonly default: "Python is not installed. Please follow https://www.python.org/ to install Python or set 'use-pyodide' to true.";
    };
    "no-package-name": {
        readonly default: import("@typespec/compiler").CallableMessage<["packageName", "namespace"]>;
    };
    "no-valid-client": {
        readonly default: "Can't generate Python SDK since no client defined in typespec file.";
    };
    "invalid-paging-items": {
        readonly default: import("@typespec/compiler").CallableMessage<["operationId"]>;
    };
    "invalid-next-link": {
        readonly default: import("@typespec/compiler").CallableMessage<["operationId"]>;
    };
    "invalid-lro-result": {
        readonly default: import("@typespec/compiler").CallableMessage<["operationId"]>;
    };
    "invalid-continuation-token": {
        readonly default: import("@typespec/compiler").CallableMessage<["direction", "operationId"]>;
    };
}, C, M>) => void, createDiagnostic: <C extends "unknown-error" | "pyodide-flag-conflict" | "no-package-name" | "no-valid-client" | "invalid-paging-items" | "invalid-next-link" | "invalid-lro-result" | "invalid-continuation-token", M extends keyof {
    "unknown-error": {
        readonly default: import("@typespec/compiler").CallableMessage<["stack"]>;
    };
    "pyodide-flag-conflict": {
        readonly default: "Python is not installed. Please follow https://www.python.org/ to install Python or set 'use-pyodide' to true.";
    };
    "no-package-name": {
        readonly default: import("@typespec/compiler").CallableMessage<["packageName", "namespace"]>;
    };
    "no-valid-client": {
        readonly default: "Can't generate Python SDK since no client defined in typespec file.";
    };
    "invalid-paging-items": {
        readonly default: import("@typespec/compiler").CallableMessage<["operationId"]>;
    };
    "invalid-next-link": {
        readonly default: import("@typespec/compiler").CallableMessage<["operationId"]>;
    };
    "invalid-lro-result": {
        readonly default: import("@typespec/compiler").CallableMessage<["operationId"]>;
    };
    "invalid-continuation-token": {
        readonly default: import("@typespec/compiler").CallableMessage<["direction", "operationId"]>;
    };
}[C]>(diag: import("@typespec/compiler").DiagnosticReport<{
    "unknown-error": {
        readonly default: import("@typespec/compiler").CallableMessage<["stack"]>;
    };
    "pyodide-flag-conflict": {
        readonly default: "Python is not installed. Please follow https://www.python.org/ to install Python or set 'use-pyodide' to true.";
    };
    "no-package-name": {
        readonly default: import("@typespec/compiler").CallableMessage<["packageName", "namespace"]>;
    };
    "no-valid-client": {
        readonly default: "Can't generate Python SDK since no client defined in typespec file.";
    };
    "invalid-paging-items": {
        readonly default: import("@typespec/compiler").CallableMessage<["operationId"]>;
    };
    "invalid-next-link": {
        readonly default: import("@typespec/compiler").CallableMessage<["operationId"]>;
    };
    "invalid-lro-result": {
        readonly default: import("@typespec/compiler").CallableMessage<["operationId"]>;
    };
    "invalid-continuation-token": {
        readonly default: import("@typespec/compiler").CallableMessage<["direction", "operationId"]>;
    };
}, C, M>) => import("@typespec/compiler").Diagnostic;
//# sourceMappingURL=lib.d.ts.map