import { SdkEndpointType, SdkType } from "@azure-tools/typespec-client-generator-core";
import { Type } from "@typespec/compiler";
import { HttpAuth } from "@typespec/http";
import { PythonSdkContext } from "./lib.js";
export declare const typesMap: Map<SdkType, Record<string, any>>;
export declare const simpleTypesMap: Map<string | null, Record<string, any>>;
export declare const disableGenerationMap: Set<SdkType>;
export interface CredentialType {
    kind: "Credential";
    scheme: HttpAuth;
}
export interface CredentialTypeUnion {
    kind: "CredentialTypeUnion";
    types: CredentialType[];
}
interface MultiPartFileType {
    kind: "multipartfile";
    type: SdkType;
}
export declare function getSimpleTypeResult(result: Record<string, any>): Record<string, any>;
export declare function getType(context: PythonSdkContext, type: CredentialType | CredentialTypeUnion | Type | SdkType | MultiPartFileType): Record<string, any>;
export declare function getConstantType(key: string | null): Record<string, any>;
export declare const KnownTypes: {
    string: {
        type: string;
    };
    anyObject: {
        type: string;
    };
    any: {
        type: string;
    };
};
export declare function emitEndpointType(context: PythonSdkContext, type: SdkEndpointType): Record<string, any>[];
export {};
//# sourceMappingURL=types.d.ts.map