import { SdkHeaderParameter, SdkHttpParameter, SdkMethod, SdkModelPropertyType, SdkParameter, SdkQueryParameter, SdkServiceMethod, SdkServiceOperation, SdkServiceResponseHeader, SdkType } from "@azure-tools/typespec-client-generator-core";
import { PythonSdkContext } from "./lib.js";
export declare function camelToSnakeCase(name: string): string;
export declare function removeUnderscoresFromNamespace(name?: string): string;
export declare function getImplementation(context: PythonSdkContext, parameter: SdkParameter | SdkHttpParameter): "Client" | "Method";
export declare function isAbstract<TServiceOperation extends SdkServiceOperation>(method: SdkServiceMethod<TServiceOperation>): boolean;
export declare function getDelimiterAndExplode(parameter: SdkQueryParameter | SdkHeaderParameter): [string | undefined, boolean];
type ParamBase = {
    optional: boolean;
    description: string;
    addedOn: string | undefined;
    clientName: string;
    inOverload: boolean;
    isApiVersion: boolean;
    type: Record<string, any>;
    isContinuationToken: boolean;
};
export declare function getAddedOn<TServiceOperation extends SdkServiceOperation>(context: PythonSdkContext, type: SdkModelPropertyType | SdkMethod<TServiceOperation>): string | undefined;
export declare function isContinuationToken<TServiceOperation extends SdkServiceOperation>(parameter: SdkParameter | SdkHttpParameter | SdkServiceResponseHeader, method?: SdkServiceMethod<TServiceOperation>, input?: boolean): boolean;
export declare function emitParamBase<TServiceOperation extends SdkServiceOperation>(context: PythonSdkContext, parameter: SdkParameter | SdkHttpParameter, method?: SdkServiceMethod<TServiceOperation>): ParamBase;
export declare function isAzureCoreErrorResponse(t: SdkType | undefined): boolean;
export declare function capitalize(name: string): string;
export declare function getRootNamespace(context: PythonSdkContext): string;
export declare function getClientNamespace(context: PythonSdkContext, clientNamespace: string): string;
export declare function md2Rst(text?: string): string | undefined;
export {};
//# sourceMappingURL=utils.d.ts.map